# stl_iterator.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | std
namespace | __gnu_cxx

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

This file implements reverse_iterator, back_insert_iterator, front_insert_iterator, insert_iterator, normal_iterator, and their supporting functions and overloaded operators.

Definition in file stl_iterator.h.